import { useModals } from '@/router'
import { Button, Section, SectionCard } from '@blueprintjs/core'
import ExerciseList from './components/ExerciseList'

const ExerciseManager = () => {
  const { open } = useModals()

  return (
    <Section
      title='Exercises'
      rightElement={
        // TODO: set as active when creator is open
        <Button
          onClick={event => {
            event.stopPropagation()
            open('/instructor/exerciseCreator')
          }}
          icon='add'
        >
          Create
        </Button>
      }
      collapsible
    >
      <SectionCard>
        <ExerciseList />
      </SectionCard>
    </Section>
  )
}

export default ExerciseManager
