/* eslint-disable */
//@ts-nocheck
import type * as _Types from '../../types';

import type { DocumentNode } from 'graphql';
import * as Apollo from '@apollo/client';
const defaultOptions = {} as const;
export type GetEmailDraftsVariables = _Types.Exact<{
  teamId: _Types.Scalars['ID']['input'];
  instructor: _Types.Scalars['Boolean']['input'];
}>;


export type GetEmailDrafts = { getEmailDrafts: Array<{ teamId: string, instructor: boolean, emailThreadId: string | null, senderAddress: string | null, content: string | null, activateMilestone: string | null, deactivateMilestone: string | null, fileId: any | null, selectedContacts: Array<string | null> | null, subject: string | null, templateId: string | null } | null> | null };


export const GetEmailDraftsDocument = /*#__PURE__*/ {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"GetEmailDrafts"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"teamId"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"ID"}}}},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"instructor"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"Boolean"}}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"getEmailDrafts"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"teamId"},"value":{"kind":"Variable","name":{"kind":"Name","value":"teamId"}}},{"kind":"Argument","name":{"kind":"Name","value":"instructor"},"value":{"kind":"Variable","name":{"kind":"Name","value":"instructor"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"EmailDraft"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"EmailDraft"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmailDraftType"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"teamId"}},{"kind":"Field","name":{"kind":"Name","value":"instructor"}},{"kind":"Field","name":{"kind":"Name","value":"emailThreadId"}},{"kind":"Field","name":{"kind":"Name","value":"senderAddress"}},{"kind":"Field","name":{"kind":"Name","value":"content"}},{"kind":"Field","name":{"kind":"Name","value":"activateMilestone"}},{"kind":"Field","name":{"kind":"Name","value":"deactivateMilestone"}},{"kind":"Field","name":{"kind":"Name","value":"fileId"}},{"kind":"Field","name":{"kind":"Name","value":"selectedContacts"}},{"kind":"Field","name":{"kind":"Name","value":"subject"}},{"kind":"Field","name":{"kind":"Name","value":"templateId"}}]}}]} as unknown as DocumentNode;

/**
 * __useGetEmailDrafts__
 *
 * To run a query within a React component, call `useGetEmailDrafts` and pass it any options that fit your needs.
 * When your component renders, `useGetEmailDrafts` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetEmailDrafts({
 *   variables: {
 *      teamId: // value for 'teamId'
 *      instructor: // value for 'instructor'
 *   },
 * });
 */
export function useGetEmailDrafts(baseOptions: Apollo.QueryHookOptions<GetEmailDrafts, GetEmailDraftsVariables> & ({ variables: GetEmailDraftsVariables; skip?: boolean; } | { skip: boolean; }) ) {
        const options = {...defaultOptions, ...baseOptions}
        return Apollo.useQuery<GetEmailDrafts, GetEmailDraftsVariables>(GetEmailDraftsDocument, options);
      }
export function useGetEmailDraftsLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<GetEmailDrafts, GetEmailDraftsVariables>) {
          const options = {...defaultOptions, ...baseOptions}
          return Apollo.useLazyQuery<GetEmailDrafts, GetEmailDraftsVariables>(GetEmailDraftsDocument, options);
        }
export function useGetEmailDraftsSuspenseQuery(baseOptions?: Apollo.SuspenseQueryHookOptions<GetEmailDrafts, GetEmailDraftsVariables>) {
          const options = {...defaultOptions, ...baseOptions}
          return Apollo.useSuspenseQuery<GetEmailDrafts, GetEmailDraftsVariables>(GetEmailDraftsDocument, options);
        }
export type GetEmailDraftsHookResult = ReturnType<typeof useGetEmailDrafts>;
export type GetEmailDraftsLazyQueryHookResult = ReturnType<typeof useGetEmailDraftsLazyQuery>;
export type GetEmailDraftsSuspenseQueryHookResult = ReturnType<typeof useGetEmailDraftsSuspenseQuery>;
export type GetEmailDraftsQueryResult = Apollo.QueryResult<GetEmailDrafts, GetEmailDraftsVariables>;