import { css } from '@emotion/css'
import type { FC, PropsWithChildren } from 'react'

const cardList = css`
  padding: 1rem;
  display: grid;
  width: 100%;
  gap: 1rem;
  max-height: 70vh;
  overflow: auto;
  grid-template-columns: repeat(3, 1fr);

  @media (max-width: 60rem) {
    grid-template-columns: 1fr 1fr;
  }

  @media (max-width: 40rem) {
    grid-template-columns: 1fr;
  }
`

const CardList: FC<PropsWithChildren> = ({ children }) => (
  <div className={cardList}>{children}</div>
)

export default CardList
